Bug 468306 - -noshared is not a supported vncviewer option
Summary: -noshared is not a supported vncviewer option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tsclient
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-24 00:16 UTC by Jesse Keating
Modified: 2014-06-18 09:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:38:27 UTC


Attachments (Terms of Use)
Remove vncviewer -noshared argument (465 bytes, patch)
2009-05-11 07:39 UTC, dexterthrowaway
no flags Details | Diff

Description Jesse Keating 2008-10-24 00:16:02 UTC
If when setting up a vnc connection I uncheck the box for 'Share with other clients' the option '-noshared' is pased to vncviewer.  This option doesn't exist for vncviewer.  The default (according to the man page) is a non-shared setup, therefore no option should be passed.

vnc-4.1.2-35.fc10.x86_64
tsclient-2.0.1-2.fc10.x86_64

Comment 1 Bug Zapper 2008-11-26 04:10:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 dexterthrowaway 2009-05-11 07:39:01 UTC
Created attachment 343330 [details]
Remove vncviewer -noshared argument

Small patch to remove the appending of the -noshared argument in:

tsclient-2.0.2/src/plugins/default/tsc-vnc-connection.c

This was tested only on Fedora 11 (rawhide) sources, but the particular source file didn't change from Fedora 10 sources.

Comment 3 Bug Zapper 2009-11-18 08:38:10 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-12-18 06:38:27 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.